View Issue Details

IDProjectCategoryView StatusLast Update
15759Bug reportsInstallationpublic2020-03-14 21:30
Reporterbismark Assigned Tocdorin  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.21.0 
Fixed in Version3.22.8 
Summary15759: limesurvey update from 2.64 to 3.x fails
Description

while updating from old limesurvey 2.64-lts (2.64.7?) the db-update throws an exception
can not create table boxes

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.64.7
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version10.1.26-MariaDB
Server OS (if known)
Webserver software & version (if known)
PHP Version7.1.8

Activities

bismark

bismark

2020-01-27 09:48

reporter   ~55471

there is a pull request: https://github.com/LimeSurvey/LimeSurvey/pull/1377

Mazi

Mazi

2020-01-27 09:51

partner   ~55472

@cdorin, we faced that at two different system recently when updating from 2.x to LS 3. It looks as if the "boxes" table already exists and thus the DB update fails.
The pull request should fix this. Please assign to a developer for reviewing the pull request.

bismark

bismark

2020-01-27 16:41

reporter   ~55488

update also fails, when emails in participants table are NULL
mysql error 1265 data truncated for column

bismark

bismark

2020-01-27 16:43

reporter   ~55489

UPDATE participants SET email = '' WHERE email IS NULL solves this

Issue History

Date Modified Username Field Change
2020-01-23 15:46 bismark New Issue
2020-01-27 09:48 bismark Note Added: 55471
2020-01-27 09:51 Mazi Note Added: 55472
2020-01-27 12:35 cdorin Assigned To => cdorin
2020-01-27 12:35 cdorin Status new => assigned
2020-01-27 16:41 bismark Note Added: 55488
2020-01-27 16:43 bismark Note Added: 55489
2020-03-14 21:30 c_schmitz Status assigned => closed
2020-03-14 21:30 c_schmitz Resolution open => fixed
2020-03-14 21:30 c_schmitz Fixed in Version => 3.22.8